package com.sqx.modules.industry.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.sqx.common.utils.Result;
import com.sqx.modules.industry.entity.Industry;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author www.javacoder.top
 * @since 2023-01-14
 */
public interface IndustryService extends IService<Industry> {

    Result addIndustry(Industry industry);

    Result updateIndustry(Industry industry);

    List<Industry> getIndustryList(Industry industry);

    Result deleteIndustry(Long industryId);

    IPage<Industry> adminGetIndustryList(Integer page, Integer limit, Industry industry);
}
